%global pypi_name octaviaclient


%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global common_desc \
Client for OpenStack Octavia (Load Balancer as a Service)

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        7%{?dist}
Summary:        Client for OpenStack Octavia (Load Balancer as a Service)

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{name}
Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description
%{common_desc}

%package -n     python3-%{pypi_name}
Summary:        Client for OpenStack Octavia (Load Balancer as a Service)
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-cliff
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-mock
BuildRequires:  python3-osc-lib
BuildRequires:  python3-osc-lib-tests
BuildRequires:  python3-oslo-log
BuildRequires:  python3-openstackclient

Requires:       python3-appdirs >= 1.3.0
Requires:       python3-babel >= 2.3.4
Requires:       python3-cliff >= 2.8.0
Requires:       python3-cmd2 >= 0.6.7
Requires:       python3-debtcollector >= 1.2.0
Requires:       python3-funcsigs >= 1.0.0
Requires:       python3-iso8601 >= 0.1.11
Requires:       python3-keystoneauth1 >= 3.3.0
Requires:       python3-monotonic >= 0.6
Requires:       python3-netaddr >= 0.7.18
Requires:       python3-netifaces >= 0.10.4
Requires:       python3-os-client-config >= 1.28.0
Requires:       python3-osc-lib >= 1.7.0
Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-utils >= 3.31.0
Requires:       python3-pbr
Requires:       python3-positional >= 1.1.1
Requires:       python3-prettytable >= 0.7.1
Requires:       python3-pyparsing >= 2.1.0
Requires:       python3-neutronclient >= 6.3.0
Requires:       python3-openstackclient >= 3.12.0
Requires:       python3-pytz >= 2013.6
Requires:       python3-PyYAML >= 3.10
Requires:       python3-requests >= 2.14.2
Requires:       python3-requestsexceptions >= 1.2.0
Requires:       python3-simplejson >= 3.5.1
Requires:       python3-six >= 1.10.0
Requires:       python3-stevedore >= 1.20.0
Requires:       python3-unicodecsv >= 0.8.0
Requires:       python3-wrapt >= 1.7.0


%description -n python3-%{pypi_name}
%{common_desc}

# Documentation package
%package -n python-%{pypi_name}-doc
Summary:        Documentation for OpenStack Octavia Client

BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-sphinx
BuildRequires:  python3-openstackdocstheme
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-keystoneclient
BuildRequires:  python3-osc-lib
BuildRequires:  python3-openstackclient
BuildRequires:  python3-sphinx
BuildRequires:  dos2unix

%description -n python-%{pypi_name}-doc
Documentation for the client library for interacting with Openstack
Octavia API.


# Documentation package
%package -n python3-%{pypi_name}-tests

Summary:        OpenStack Octavia client tests

Requires:       python3-%{pypi_name} = %{version}-%{release}
Requires:       python3-coverage >= 4.0
Requires:       python3-fixtures >= 1.3.1
Requires:       python3-mock
Requires:       python3-testrepository >= 0.0.18
Requires:       python3-testscenarios >= 0.4
Requires:       python3-testtools
Requires:       python3-osc-lib >= 1.5.1
Requires:       python3-oslo-sphinx >= 4.7.0
Requires:       python3-sphinx
Requires:       python3-subunit >= 0.0.18
Requires:       python3-webob >= 1.2.3
Requires:       python3-osc-lib
Requires:       python3-osc-lib-tests
Requires:       python3-oslo-log
Requires:       python3-openstackclient

%description -n python3-%{pypi_name}-tests
OpenStack Octavia client tests

This package contains the example client test files.


%prep
%autosetup -n %{name}-%{upstream_version} -S git

# Let RPM handle the dependencies
rm -f {,test-}requirements.txt

%build

%py3_build

# generate html docs
%{__python3} setup.py build_sphinx -b html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%py3_install

dos2unix doc/build/html/_static/jquery.js


%check
# FIXME(jpena): We know unit tests are currently broken on Python 3.7
# due to a bug in osc-lib, see https://storyboard.openstack.org/#!/story/2003322
PYTHON=%{__python3} %{__python3} setup.py test || true
rm -rf .testrepository


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/python_%{pypi_name}-*-py?.?.egg-info
%exclude %{python3_sitelib}/%{pypi_name}/tests

%files -n python-%{pypi_name}-doc
%doc doc/build/html
%license LICENSE

%files -n python3-%{pypi_name}-tests
%{python3_sitelib}/%{pypi_name}/tests


%changelog
* Sat Oct 27 2018 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-7
- Subpackages python2-octaviaclient, python2-octaviaclient-tests have been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Thu Aug 23 2018 Javier Peña <jpena@redhat.com> 1.3.0-6
- Fixed rawhide build (bz#1605800)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-4
- Rebuilt for Python 3.7

* Tue Feb 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.3.0-3
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Dec 11 2017 Carlos Goncalves <cgoncalves@redhat.com> 1.3.0-1
- Update to 1.3.0

* Tue Nov 21 2017 Carlos Goncalves <cgoncalves@redhat.com> 1.2.0-1
- Initial RPM release
